COROSYNC-CMAP(8)

NAME
corosync-cmapctl: - A tool for accessing the object database.

DESCRIPTION
usage: corosync-cmapctl [-b] [-DdghsTt] [-m map] [-p filename] [params...]

-b show binary values

-m select map to use

    The default map is 'icmap' which contains configuration information and some runtime variables used by corosync. A 'stats' map is also available which displays network statistics - in great detail when knet is used as the transport. Tracking of individual keys (but not prefixes) works on the stats map but notifications are sent on a timer, and not every time a value changes.

  Set key:

    corosync-cmapctl -s key_name type value

    where type is one of ([i|u][8|16|32|64] | flt | dbl | str | bin) for bin, value is file name (or - for stdin)

  Load settings from a file:

    corosync-cmapctl -p filename

    the format of the file is: [^[^]]<key_name>[ <type> <value>]

    Keys prefixed with single caret ('^') are deleted (see -d).

    Keys (actually prefixes) prefixed with double caret ('^^') are deleted by prefix (see -D).

    <type> and <value> are optional (not checked) in above cases.

    Other keys are set (see -s) so both <type> and <value> are required.

  Delete key:

    corosync-cmapctl -d key_name...

  Delete multiple keys with prefix:

    corosync-cmapctl -D key_prefix...

  Get key:

    corosync-cmapctl [-b] -g key_name...

  Quiet output:

    corosync-cmapctl [-b] -q -g key_name...

  Display all keys:

    corosync-cmapctl [-b]

  Display keys with prefix key_name:

    corosync-cmapctl [-b] key_name...

  Track changes on keys with key_name:

    corosync-cmapctl [-b] -t key_name

  Track changes on keys with key prefix:

    corosync-cmapctl [-b] -T key_prefix

  Clear statistics (-mstats is implied)

    corosync-cmapctl -C [ipc|totem|knet|all]

SEE ALSO
cmap_overview(3), cmap_keys(8)